1. Channels API
Hatif
  • Rate Limiting
  • Account API
    • Service Login
      POST
  • Channels API
    • Get Channels
      GET
  • Support API
    • Upload Image, Video, or PDF
      POST
    • Upload Audio File
      POST
  • Whatsapp API
    • Send Text
      POST
    • Send Template
      POST
    • Send Image
      POST
    • Send Audio
      POST
    • Send Video
      POST
    • Send File
      POST
    • List Templates (Service Account)
      GET
  • Contact
    • Set Property Value on Contact
      PUT
    • Search Contacts
      POST
    • Delete Property Value on Contact
      DELETE
    • Create Contact
      POST
    • Update Contact
      PUT
    • Get Contacts
      GET
    • Get Contact By Id
      GET
    • Create Bulk Contacts vCards
      POST
    • Contacts History
      GET
  • Contact Properties
    • List Contact Properties
      GET
    • Contact Properties Statistics
      POST
    • Create Contact Property
      POST
    • Update Contact Property
      PUT
    • Delete Contact Property
      DELETE
  • Workspace API
    • Get Workspace Users
  • Conversations API
    • Get Conversation Timeline
    • List Conversations
    • Create Conversation
    • Assign Conversation
    • Get Conversation
  • Outbound IVR API
    • Create Outbound IVR
  • Tags API
    • Tag a conversation
    • Create Tag
    • Delete Tag
    • Update Tag
    • List Tags
  • Conversations - Service Account
  • Call Webhook
  • WhatsApp Message Webhook
  • Schemas
    • Call Webhook
    • WhatsApp Message Webhook
    • ServiceAccountTemplateDto
    • ConversationDto
    • CreateTagDto
    • ServiceAccountTemplateParameterDto
    • ChannelConversationDto
    • UpdateTagDto
    • TemplateParameterDto
    • TagDto
    • ParameterValueDto
    • ConversationTimelineDto
    • PagedResultOfTagDto
    • ChannelNotFoundError
    • AiSummaryDto
    • ReplyInfoDto
    • InternalThreadDto
    • LocationMessageDto
    • AssignationInfoDto
    • PagedResultOfConversationDto
    • PagedResultOfConversationTimelineDto
  1. Channels API

Get Channels

GET
/v1/channels/service-account
Lists all communication channels (phone numbers, WhatsApp accounts, voice lines, etc.) belonging to the calling service account's workspace.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200OK
application/json
Pagination tip: to fetch all channels, keep increasing SkipCount by your MaxResultCount each call until SkipCount + items.length >= totalCount.
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.voxa.sa/v1/channels/service-account?type=PhoneNumberAndWhatsapp&SkipCount=0&MaxResultCount=100' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "totalCount": 4,
    "items": [
        {
            "id": "3a1da0..............",
            "creationTime": "2025-04-23T19:24:17.465921",
            "creatorId": "fadb7b..............",
            "lastModificationTime": "2026-06-16T12:03:31.995983",
            "lastModifierId": "3a214c..............",
            "workspaceId": "d307b8..............",
            "name": "هاتف الرقم الرسمي",
            "type": 3,
            "icon": "📱",
            "phoneNumberType": 1,
            "isBringYourOwnNumber": false,
            "phoneNumber": {
                "id": "3a1d32..............",
                "workspaceId": "d307b8..............",
                "number": "+966115001277",
                "phoneNumberStatus": 2,
                "type": 1,
                "region": 1,
                "provider": 1,
                "reservedBy": null,
                "statusChangedAt": null,
                "customerName": null,
                "note": null,
                "contractId": null,
                "isInboundOnly": false
            },
            "smartReconnectConfiguration": {
                "enabled": true,
                "sipRingTimeoutSeconds": 60,
                "fallbackStrategy": 2,
                "mobileRingTimeoutSeconds": 0
            },
            "inboundAgentConfiguration": null,
            "evaluationTemplateId": null,
            "whatsAppInfo": {
                "providerType": 1,
                "sessionInfo": {
                    "id": "f9c1db..............",
                    "sessionName": "f9c1db..............",
                    "status": 4,
                    "lastConnectedAt": null
                },
                "businessAccountInfo": null
            },
            "workingHours": {
                "days": [
                    {
                        "day": 0,
                        "isEnabled": true,
                        "windows": [
                            {
                                "start": "10:00:00",
                                "end": "18:00:00"
                            },
                            {
                                "start": "21:30:00",
                                "end": "23:59:00"
                            }
                        ]
                    },
                    {
                        "day": 1,
                        "isEnabled": true,
                        "windows": [
                            {
                                "start": "10:00:00",
                                "end": "17:00:00"
                            },
                            {
                                "start": "21:00:00",
                                "end": "23:59:00"
                            }
                        ]
                    },
                    {
                        "day": 5,
                        "isEnabled": false,
                        "windows": []
                    },
                    {
                        "day": 6,
                        "isEnabled": false,
                        "windows": []
                    }
                ]
            },
            "isConversationPrivacyEnabled": true
        }
    ]
}
Modified at 2026-06-18 14:57:59
Previous
Service Login
Next
Upload Image, Video, or PDF
Built with